Categories:
  - Connectivity
License: GPL-3.0-or-later
AuthorName: Remmer Wilts
SourceCode: https://gitlab.com/remmer.wilts/ipfs-lite
IssueTracker: https://gitlab.com/remmer.wilts/ipfs-lite/issues

AutoName: IPFS Lite

RepoType: git
Repo: https://gitlab.com/remmer.wilts/ipfs-lite.git

Builds:
  - versionName: 0.9.4
    versionCode: 94
    commit: 0.9.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.4
    versionCode: 104
    commit: 1.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.6
    versionCode: 116
    commit: 1.1.6
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 120
    commit: 1.2.0
    subdir: app
    gradle:
      - yes
    ndk: r21

  - versionName: 1.5.5
    versionCode: 155
    commit: 1.5.5
    subdir: app
    gradle:
      - yes
    ndk: r21d

  - versionName: 1.5.8
    versionCode: 158
    commit: 1.5.8
    subdir: app
    gradle:
      - yes
    ndk: r21d

  - versionName: 1.5.9
    versionCode: 159
    commit: 1.5.9
    subdir: app
    gradle:
      - yes
    ndk: r21d

  - versionName: 1.6.0
    versionCode: 160
    commit: 1.6.0
    subdir: app
    gradle:
      - yes
    ndk: r21d

  - versionName: 1.6.1
    versionCode: 161
    commit: 1.6.1
    subdir: app
    gradle:
      - yes
    ndk: r21d

  - versionName: 1.7.3
    versionCode: 173
    commit: 1.7.3
    subdir: app
    gradle:
      - yes
    ndk: r21d

  - versionName: 1.7.8
    versionCode: 178
    commit: 1.7.8
    subdir: app
    gradle:
      - yes
    ndk: r21d

  - versionName: 2.0.2
    versionCode: 202
    commit: 2.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.3
    versionCode: 203
    commit: 2.0.3
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.4
    versionCode: 204
    commit: 2.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.5
    versionCode: 205
    commit: 2.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.8
    versionCode: 208
    commit: 2.0.8
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.9
    versionCode: 209
    commit: 2.0.9
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.0
    versionCode: 210
    commit: 2.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.6
    versionCode: 226
    commit: 2.2.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.7
    versionCode: 227
    commit: 2.2.7
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.9
    versionCode: 229
    commit: 2.2.9
    subdir: app
    gradle:
      - yes

  - versionName: 2.3.0
    versionCode: 230
    commit: 2.3.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.3.3
    versionCode: 233
    commit: 2.3.3
    subdir: app
    gradle:
      - yes

  - versionName: 2.3.5
    versionCode: 235
    commit: 2.3.5
    subdir: app
    gradle:
      - yes

  - versionName: 2.3.6
    versionCode: 236
    commit: 2.3.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.3.7
    versionCode: 237
    commit: 2.3.7
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.2
    versionCode: 242
    commit: 2.4.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.3
    versionCode: 243
    commit: 2.4.3
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.4
    versionCode: 244
    commit: 2.4.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.5
    versionCode: 245
    commit: 2.4.5
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.6
    versionCode: 246
    commit: 2.4.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.5.1
    versionCode: 251
    commit: 525ea12ca245e3a3a5c79a3704db7b4427779961
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.2
    versionCode: 252
    commit: 6eeabf63cc8b73283602ea75ee2bbb1386669e68
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.3
    versionCode: 253
    commit: 35c34ab536222066d06701417916af55d946ff10
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.4
    versionCode: 254
    commit: dabfbc28aec39f42b8926d55f072aa72af06bd92
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.5
    versionCode: 255
    commit: 19ea6b83e9b932e374fbe247955b36077cb307d8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.6
    versionCode: 256
    commit: d9439651f532cc38f99e789763841997bbecc88b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.5.8
    versionCode: 258
    commit: daddac51c2c9e1b97ae7864e2584c48b34167ccc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.3
    versionCode: 263
    commit: 234457f8ce7d146471aa26e81aa41002473fce95
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.4
    versionCode: 264
    commit: a7d94ecba9947be987b2ef0c95d9a7489bcf3a99
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.6.5
    versionCode: 265
    commit: dca3b8ea157c89fc150f85289449ae53b3a008cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.7.0
    versionCode: 270
    commit: e1bcdac93f0e944c8d15f937d35a6730bdd6820b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.7.2
    versionCode: 272
    commit: 08793edaa7961aafebeece9fe57391f528185e22
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.7.3
    versionCode: 273
    commit: 9633541de4de169e6b05cfe5cca3e87d95560c96
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.7.6
    versionCode: 276
    commit: f61d53622289eba9491f5bfe1ea53a8d1f8700d8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.7.7
    versionCode: 277
    commit: 7e3765139e73b68b5113b4020eb6a5d1ef321404
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.7.8
    versionCode: 278
    commit: 30d1bae918d1b65dfe1fba12741fa81a577f40ae
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.8.0
    versionCode: 280
    commit: a6576bbdd740d449d2b35bd327153eaadadfa42d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.8.2
    versionCode: 282
    commit: f19bb40379b0d3926fafb46fedd8626d359bd6eb
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.8.3
    versionCode: 283
    commit: 04d67fff460ec2b48fcc12ff727c3d5cfbf74335
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.8.5
    versionCode: 285
    commit: 1e602a1f9c26a88965b958378b0e7b2e571748c5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.8.7
    versionCode: 287
    commit: 80d85ade083bea627ab102c697d718bac9fe5083
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.8.9
    versionCode: 289
    commit: 3bd2b297fa5176a767eee710256add90ea508f76
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.1
    versionCode: 291
    commit: 8f3ec8768e9937264e93c590847535178524a362
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.2
    versionCode: 292
    commit: 4b2d827ec8a4ee57104b593f272a4b1caae3b9d2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.3
    versionCode: 293
    commit: 18a2f20d121cfe52f7ffd0d6da4ccf1b64015a04
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.4
    versionCode: 294
    commit: 8a6e48e320ea94024d711d57f9c92ddfb8675ff0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.5
    versionCode: 295
    commit: d5687307e106f36945641df3296710675c0ca712
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.7
    versionCode: 297
    commit: 6f4d122bdbd704d1565fc31db408f1a4c784f836
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.8
    versionCode: 298
    commit: 717f18d0dcfcaec08648c8c02c442da05601b078
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 2.9.9
    versionCode: 299
    commit: ae42324f2ce4624ed9583a229d02e1e664a37ba5
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.0.0
    versionCode: 300
    commit: 22a90d7abb1ad0b8fe2065829c77673dc158924b
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.0.1
    versionCode: 301
    commit: 61d1b2192c938ccbca9cfd5d4dd79143d6e925e0
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.0.2
    versionCode: 302
    commit: 5e2ef9454762db0ff6f329bd5b3b67a23b5252c2
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.0.6
    versionCode: 306
    commit: 32291b416b22b3337c3ec16eec4073b22742013d
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.0.8
    versionCode: 308
    commit: bcda8c878f943b40691bb92b5911f2acea0a94c3
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.1.2
    versionCode: 312
    commit: 08ec838927b608b41fa93f7217ac1e5b7fe744f4
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.1.3
    versionCode: 313
    commit: cefab93ed4b55ecc9b2b783a2380f7b6d9c62f16
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.1.5
    versionCode: 315
    commit: a30b3969774675b628ecaf1bedc8c7dccbcd541c
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.1.7
    versionCode: 317
    commit: 1ec2aa9fba6d28c2173c4be926420cf40a5dca26
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 3.2.1
    versionCode: 321
    commit: 96c6bc72289de7f5c4283ea0bc91cf29a98ec0cb
    subdir: app
    gradle:
      - yes
    prebuild:
      - echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties
      - sed -i -e 's/8.0-rc-1/7.6/' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 3.2.2
    versionCode: 322
    commit: b6feb1b1e967f61d3e23c7e92e619bb7df1ca364
    subdir: app
    gradle:
      - yes
    prebuild:
      - echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties
      - sed -i -e 's/8.0-rc-1/7.6/' ../gradle/wrapper/gradle-wrapper.properties

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 3.2.2
CurrentVersionCode: 322
